'use strict';

exports.__esModule = true;

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stcAdapter = function () {
  function stcAdapter(options, config) {
    (0, _classCallCheck3.default)(this, stcAdapter);

    this.options = options;
    this.config = config;
  }

  stcAdapter.prototype.getLsSupportCode = function getLsSupportCode() {
    var ld = this.config.tpl.ld[0];
    var rd = this.config.tpl.rd[0];

    var nlsCookie = this.options.nlsCookie;

    var data = {};

    data['if'] = ld + ' if http.userAgent() and http.userAgent().indexOf("MSIE ") == -1 and not http.cookie("' + nlsCookie + '") ' + rd;
    data['else'] = ld + ' else ' + rd;
    data['end'] = ld + ' endif ' + rd;

    return data;
  };

  stcAdapter.prototype.getLsConfigCode = function getLsConfigCode(appConfig) {
    var ld = this.config.tpl.ld[0];
    var rd = this.config.tpl.rd[0];

    var configStr = (0, _stringify2.default)(appConfig);

    return ld + ' set stc_ls_config = JSON.parse(\'' + configStr + '\') ' + rd;
  };

  stcAdapter.prototype.getLsBaseCode = function getLsBaseCode() {
    var ld = this.config.tpl.ld[0];
    var rd = this.config.tpl.rd[0];

    var name = 'stc_ls_base_flag';

    var data = {};

    data['if'] = ld + ' if not http_' + name + ' ' + rd + ld + ' set http_' + name + ' = true ' + rd;
    data['end'] = ld + ' endif ' + rd;

    return data;
  };

  stcAdapter.prototype.getLsParseCookieCode = function getLsParseCookieCode() {
    var ld = this.config.tpl.ld[0];
    var rd = this.config.tpl.rd[0];

    var lsCookie = this.options.lsCookie;

    var content = [ld + ' set stcLsCookieFn = eval(\'think.stcLsCookie = function(http){', 'var stc_ls_cookie = http.cookie("' + lsCookie + '",', 'var stc_cookie_length = stc_ls_cookie.length;', 'var stc_ls_cookies = {};', 'for(var i = 0; i < stc_cookie_length;i += 2) {', 'stc_ls_cookies[stc_ls_cookie[i]] = stc_ls_cookie[i+1];', '}', 'return stc_ls_cookies;', '}\') ' + rd, ld + ' set stc_ls_cookies = think.stcLsCookie(http) ' + rd];

    return content.join('');
  };

  stcAdapter.prototype.getLsConditionCode = function getLsConditionCode(lsValue) {
    var ld = this.config.tpl.ld[0];
    var rd = this.config.tpl.rd[0];

    var data = {};

    data['if'] = ld + ' if stc_ls_config["' + lsValue + '"] and stc_ls_cookies[stc_ls_config["' + lsValue + '"].key] and stc_ls_config["' + lsValue + '"].version == stc_ls_cookies[stc_ls_config["' + lsValue + '"].key] ' + rd;
    data['else'] = ld + ' else ' + rd;
    data['end'] = ld + ' endif ' + rd;
    data['key'] = '{{ stc_ls_config["' + lsValue + '"]["key"] }}';
    data['version'] = '{{ stc_ls_config["' + lsValue + '"]["version"] }}';

    return data;
  };

  return stcAdapter;
}();

exports.default = stcAdapter;
;
//# sourceMappingURL=index.js.map